package net.locusworks.common.utils;

import org.junit.jupiter.api.Test;

import java.util.List;

import static org.junit.jupiter.api.Assertions.*;

class StreamUtilsTest {

  @Test
  void testAsStream() {
    List<String> list = List.of("Hello", "World");
    assertEquals(2, StreamUtils.asStream(list).count());
    assertEquals(2, StreamUtils.asStream(list.iterator()).count());
    assertEquals(2, StreamUtils.asStream(list.toArray(), false).count());
  }

}
